import { Controls } from '../controls/useControls';
type AnimationFrameLoopControls = Omit<Controls, 'isPausedRef'>;
type AnimationFrameLoopOptions = {
    startOnMount?: boolean;
};
declare const useAnimationFrameLoop: <T extends (...args: never[]) => unknown>(callback: T, options?: AnimationFrameLoopOptions) => AnimationFrameLoopControls;
export default useAnimationFrameLoop;
